using System;
using System.Collections.Generic;

namespace RenderHeads.Media.AVProVideo
{
	public abstract class Stream
	{
		public abstract int Width { get; }

		public abstract int Height { get; }

		public abstract int Bandwidth { get; }

		public abstract string URL { get; }

		public abstract List<Stream.Chunk> GetAllChunks();

		public abstract List<Stream.Chunk> GetChunks();

		public abstract List<Stream> GetAllStreams();

		public abstract List<Stream> GetStreams();

		public struct Chunk
		{
			public string name;
		}
	}
}
